/*------------------------------------------------------------------------
 * MAGNET Customer Agent Bid Manager components
 * $Id: BidAgendaItem.java,v 1.1.2.1 2002/05/05 19:41:44 ashutosh Exp $
 * Copyright (c) 2000 Regents of the University of Minnesota.
 * All Rights Reserved by the Regents of the University of Minnesota.
 * This file contains Original Code and/or Modifications of Original
 * Code as defined in the MAGNET Public Source License, which is
 * available at http://www.cs.umn.edu/magnet/source_license_v1.txt.
 * You may not use this file except in compliance with the License.
 *------------------------------------------------------------------------
 * Revision History:
 * 
 * Thu Sep 28 10:23:18 2000  John Collins
 *   Initial Entry
 */

package edu.umn.magnet.client.bid;

/**
 * Each instance is a Command in the sense of the GOF, describing one
 * step in a potentially multi-step bidding process.  This class is
 * the generic superclass; actual commands are subclasses.
 * @author John Collins
 */
public abstract class BidAgendaItem
{
  /**
   * The command is processed by calling its execute command,
   * providing a reference to the BidManager which will be receiving
   * its callbacks.
   */
  public void execute (BidManager mgr)
  {

  }
}
