/*------------------------------------------------------------------------
 * MAGNET status component
 * $Id: StatusEvent.java,v 1.1.2.1 2002/05/05 19:41:51 ashutosh Exp $
 * Copyright (c) 2001 Regents of the University of Minnesota.
 * All Rights Reserved by the Regents of the University of Minnesota.
 * This file contains Original Code and/or Modifications of Original
 * Code as defined in the MAGNET Public Source License, which is
 * available at http://www.cs.umn.edu/magnet/source_license_v1.txt.
 * You may not use this file except in compliance with the License.
 *------------------------------------------------------------------------
 * Revision History:
 * 
 * Tue May  1 21:29:53 2001  John Collins
 *   Initial Entry
 */

package edu.umn.magnet.client.status;

import java.beans.PropertyChangeEvent;

/**
 * This is the superclass of all the internal agent status update
 * events.  All are of the basic form of PropertyChangeEvents - they
 * contain a property name, and old value, and a new value.  You can
 * register with any status object for its events, and you can specify
 * specifically which property changes you would like to hear about.
 * @author John Collins
 * @version $Revision: 1.1.2.1 $
 */
public class StatusEvent extends java.beans.PropertyChangeEvent
{
  /**
   * Constructors are not inherited...
   */
  public StatusEvent (AbstractStatus source, String property,
		      Object oldValue, Object newValue)
  {
    super(source, property, oldValue, newValue);
  }
}
