/*------------------------------------------------------------------------
 * MAGNET utility test components
 * $Id: AllTests.java,v 1.5.2.2 2002/05/02 03:40:29 jcollins Exp $
 * Copyright (c) 2001, 2002 University of Minnesota
 *------------------------------------------------------------------------
 * Revision History:
 * 
 * Tue Feb 19 09:00:16 2002  John Collins
 *   Add Bidtree test
 * 
 * Wed Feb 21 21:49:49 2001  John Collins
 *   Initial Entry
 */

import junit.framework.Test;
import junit.framework.TestCase;
import junit.framework.TestResult;
import junit.framework.TestSuite;

import org.apache.log4j.PropertyConfigurator;

/**
 * This is a tester for edu.umn.magnet.client.Something
 * @author John Collins
 */
public class AllTests extends TestCase
{
  
  public AllTests (String testName)
  {
    super(testName);
  }

  /**
   * You run the main method to exercise this thing.  There are no
   * command-line args.
   */
  public static void main (String[] args)
  {
    PropertyConfigurator.configure
	(System.getProperty("LogConfiguration", "test.lcf"));
    junit.textui.TestRunner.run(suite());
    System.exit(0);
  }

  public static Test suite ()
  {
    TestSuite suite = new TestSuite();
    suite.addTest(edu.umn.magnet.client.status.TaskStatusTest.suite());
    suite.addTest(edu.umn.magnet.client.status.PlanStatusTest.suite());
    suite.addTest(edu.umn.magnet.client.status.TMEntryTest.suite());
    suite.addTest(edu.umn.magnet.client.status.TimeMapTest.suite());
    //suite.addTest(edu.umn.magnet.client.eval.EvalTest.suite());
    suite.addTest(edu.umn.magnet.client.eval.SearchNodeTest.suite());
    suite.addTest(edu.umn.magnet.client.eval.TaskBidPlanTest.suite());
    suite.addTest(edu.umn.magnet.client.eval.BidEvaluatorTest.suite());
    //suite.addTest(edu.umn.magnet.client.eval.SAScaleFnTest.suite());
    suite.addTest(edu.umn.magnet.client.eval.BidtreeTest.suite());
    suite.addTest(edu.umn.magnet.client.eval.BidtreeNodeTest.suite());
    return suite;
  }
}
