/*------------------------------------------------------------------------
 * Magnet protocol components
 * $Id: BiddingClosed.java,v 1.2.2.1 2002/05/05 19:41:55 ashutosh Exp $
 * Copyright (c) 1998 Regents of the University of Minnesota.
 * All Rights Reserved by the Regents of the University of Minnesota.
 * This file contains Original Code and/or Modifications of Original
 * Code as defined in the MAGNET Public Source License, which is
 * available at http://www.cs.umn.edu/magnet/source_license_v1.txt.
 * You may not use this file except in compliance with the License.
 *------------------------------------------------------------------------
 * Revision History:
 * 
 * Thu Feb 22 17:11:16 2001  John Collins
 *   This is now part of the customer protocol component.
 * 
 * Thu Oct 29 15:53:34 1998  John E. Collins
 *   Add serialization signature.
 * 
 * Sat Sep 26 09:13:18 1998  John E. Collins
 *   Initial Entry
 */

package edu.umn.magnet.protocol.cust;

import edu.umn.magnet.protocol.ProtocolElement;

/**
 * This object is sent to the Customer agent by the Session when the
 * bidding deadline closes.
 * @author John Collins
 */
public class BiddingClosed extends ProtocolElement
{
  /**
     This needs a default constructor to be Serializable
  */
  public BiddingClosed ()
  {
    super();
  }

  /**
     The normal constructor takes all relevant data, allowing these to
     be created inline.
  */
  public BiddingClosed (String id,
			String sessionId,
			String customerId)
  {
    super(id, sessionId, customerId);
  }
}
