/*------------------------------------------------------------------------
 * Magnet protocol components
 * $Id: MagnetException.java,v 1.1.2.2 2002/05/05 19:41:58 ashutosh Exp $
 * Copyright (c) 1998 Regents of the University of Minnesota.
 * All Rights Reserved by the Regents of the University of Minnesota.
 * This file contains Original Code and/or Modifications of Original
 * Code as defined in the MAGNET Public Source License, which is
 * available at http://www.cs.umn.edu/magnet/source_license_v1.txt.
 * You may not use this file except in compliance with the License.
 *------------------------------------------------------------------------
 * Revision History:
 * 
 * Wed Sep 16 08:44:18 1998  John E. Collins
 *   Initial Entry
 */

package edu.umn.magnet.protocol;

/**
 * top-level Exception for the Magnet project.  By using
 * project-specific exceptions that are subclasses of MagnetException,
 * we can write interfaces and abstract methods that throw
 * MagnetException, and get more specific later on.  This is a way
 * to deal with the Java inheritance rule about exception declarations.
 * @author John Collins
 */
public class MagnetException extends Exception
{
  public MagnetException () {
    super();
  }

  public MagnetException (String reason) {
    super(reason);
  }
}
