/*-----------------------------------------------------------------------
 * Magnet Protocol Elements
 * $Id: ProtocolException.java,v 1.1.2.1 2002/05/05 19:41:58 ashutosh Exp $
 * Copyright (c) 1998 Regents of the University of Minnesota.
 * All Rights Reserved by the Regents of the University of Minnesota.
 * This file contains Original Code and/or Modifications of Original
 * Code as defined in the MAGNET Public Source License, which is
 * available at http://www.cs.umn.edu/magnet/source_license_v1.txt.
 * You may not use this file except in compliance with the License.
 *-----------------------------------------------------------------------
 * Revision History:
 * 
 * Thu Oct 29 16:49:12 1998  John E. Collins
 *   Add serialization signature.
 * 
 * Wed Sep 16 12:30:10 1998  John E. Collins
 *   Extend MagnetException
 * 
 * Sat Jun 27 16:13:36 1998  John E. Collins
 *   Move to protocol package.
 */

package edu.umn.magnet.protocol;

/**
 * This exception is thrown if the protocol is not followed correctly.
 * Reasons include sending a bid without a CFB, trying to send a second
 * CFB to a session, etc.
 * @author John Collins
 */
public class ProtocolException extends MagnetException {

  // Computed for v1.2:
  static final long serialVersionUID = -4424581869188454168L;

  public ProtocolException () {
    super();
  }
  
  public ProtocolException (String reason) {
    super(reason);
  }
}
