/*------------------------------------------------------------------------
 * MAGNET utility test components
 * $Id: JobInfoTest.java,v 1.1.2.1 2002/05/05 19:41:58 ashutosh Exp $
 * Copyright (c) 2000 Regents of the University of Minnesota.
 * All Rights Reserved by the Regents of the University of Minnesota.
 * This file contains Original Code and/or Modifications of Original
 * Code as defined in the MAGNET Public Source License, which is
 * available at http://www.cs.umn.edu/magnet/source_license_v1.txt.
 * You may not use this file except in compliance with the License.
 *------------------------------------------------------------------------
 * Revision History:
 * 
 * Wed Feb 21 22:01:01 2001  John Collins
 *   Initial Entry
 */

package edu.umn.magnet.protocol;

import junit.framework.Test;
import junit.framework.TestCase;
import junit.framework.TestResult;
import junit.framework.TestSuite;

/**
 * This is a tester for edu.umn.magnet.protocol.JobInfo
 * @author John Collins
 */
public class JobInfoTest extends TestCase
{

  protected static final double DELTA = 0.000001;
  
  public JobInfoTest (String testName)
  {
    super(testName);
  }

  /**
   * You run the main method to exercise this thing.  There are no
   * command-line args.
   */
  public static void main (String[] args)
  {
    junit.textui.TestRunner.run(suite());
  }

  public static Test suite ()
  {
    return new TestSuite(JobInfoTest.class);
  }
  
  public void testDefault ()
  {
    JobInfo info = new JobInfo();
    assert("Info got created", (info != null));
    assertEquals("Default task type", "default",
		 info.getTaskType());
    assertEquals("Default description", "general labor",
		 info.getDescription());
    assertEquals("Default expected duration", 3600000.0,
		 info.getExpectedDuration(), DELTA);
    assertEquals("Default duration sigma", 720000.0,
		 info.getDurationSigma(), DELTA);
    assertEquals("Default expected price", 1000.0,
		 info.getExpectedPrice(), DELTA);
    assertEquals("Default price sigma", 200.0,
		 info.getPriceSigma(), DELTA);
    assertEquals("Default resource availability", 0.5,
		 info.getResourceAvailability(), DELTA);
    assertEquals("Default supplier availability", 0.5,
		 info.getSupplierAvailability(), DELTA);
  }
}
