/*------------------------------------------------------------------------
 * MAGNET User Interface components
 * $Id: ErrorObject.java,v 1.1.2.1 2002/05/05 19:42:00 ashutosh Exp $
 * Copyright (c) 2000 Regents of the University of Minnesota.
 * All Rights Reserved by the Regents of the University of Minnesota.
 * This file contains Original Code and/or Modifications of Original
 * Code as defined in the MAGNET Public Source License, which is
 * available at http://www.cs.umn.edu/magnet/source_license_v1.txt.
 * You may not use this file except in compliance with the License.
 *------------------------------------------------------------------------
 * Revision History:
 *
 * 26Apr2001 DFK - Initial Entry
 */

package edu.umn.magnet.client.userif;

/** A handy class to convey GUI errors to the user.
 *  It will (optionally) indicate an offending GUI field, and an arbitrary
 *  String associated w/ this msg.
 *  It'll be used in conjunction w/ an error displayer Dialog.
 */
public class ErrorObject
        implements MagnetClientConstants
{

  /** An enum indicating which the offending GUI field is, so someone can regain focus. */
  protected int field;
  /** An arbitrary message string, describing the error or how to fix it. */
  protected String message;

  /** Constructor */
  public ErrorObject() {
    field = 0;  //??
    message = new String("");
  }
  public ErrorObject(int aField, String aMessage) {
    field = aField;
    message = aMessage;
  }

  public int getField() {
    return field;
  }
  public void setField(int aField) {
    field = aField;
  }

  public String getMessage() {
    return message;
  }
  public void setMessage(String aMessage) {
    message = aMessage;
  }
}