/*------------------------------------------------------------------------
 * MAGNET User Interface components
 * $Id: NavBarPanel.java,v 1.6.2.1 2002/05/05 19:42:02 ashutosh Exp $
 * Copyright (c) 2000 Regents of the University of Minnesota.
 * All Rights Reserved by the Regents of the University of Minnesota.
 * This file contains Original Code and/or Modifications of Original
 * Code as defined in the MAGNET Public Source License, which is
 * available at http://www.cs.umn.edu/magnet/source_license_v1.txt.
 * You may not use this file except in compliance with the License.
 *------------------------------------------------------------------------
 * Revision History:
 * 
 * Wed Jan  2 17:51:59 2002  John Collins  #0000163
 *   Remove dependency on Borland proprietary library
 *
 * 15Apr2001 DFK - Initial Entry
 */

package edu.umn.magnet.client.userif;

import java.awt.*;
import javax.swing.*;
import java.awt.event.*;
import javax.swing.event.*;

import org.apache.log4j.Category;

public class NavBarPanel extends JPanel
  implements ActionListener
{

  JButton _btnPlanAndRFQ;
  JButton _btnBid;
  private Object _listener=null;

  static final Color _colorBkgd = new Color(0.4f, 1.0f, 0.4f);  // light green?
  static final Color _colorFrgd = new Color(0.4f, 0.4f, 1.0f);  // light blue?
  /** log category */
  private static Category log =
                    Category.getInstance(NavBarPanel.class.getName());

  public NavBarPanel() {
    this.setBackground(_colorBkgd);
    this.setLayout(new BoxLayout(this, BoxLayout.Y_AXIS));
    _btnPlanAndRFQ = new JButton();
    _btnBid = new JButton();
    _btnPlanAndRFQ.setAlignmentX((float)0.5);
    _btnBid.setAlignmentX((float)0.5);
    this.add(_btnPlanAndRFQ);
    this.add(_btnBid);

    _btnPlanAndRFQ.setText("Plan / RFQ");
    _btnBid.setText("Bid");


    _btnPlanAndRFQ.setMnemonic('p');
    _btnBid.setMnemonic('b');

    // attach listener
    _btnPlanAndRFQ.addActionListener(this);
    _btnBid.addActionListener(this);

    // init the buttons
    actionPerformed(new ActionEvent(_btnPlanAndRFQ, ActionEvent.ACTION_PERFORMED, "bogus init"));
  }

  /** button listener */
  public void actionPerformed(ActionEvent e) {
    if (e.getSource()==_btnPlanAndRFQ) {
      log.debug("NavBarPanel: 'Plan/RFQ' button pressed");
      _btnPlanAndRFQ.setBackground(_colorFrgd);
      _btnBid.setBackground(_colorBkgd);
      if (null!=_listener  &&  _listener instanceof MagnetClientMain) {
        ((MagnetClientMain)_listener).invokeEditor(MagnetClientMain.EDITOR_TASKPLAN);
      }
    } else if (e.getSource()==_btnBid) {
      log.debug("NavBarPanel: 'Bid' button pressed");
      _btnPlanAndRFQ.setBackground(_colorBkgd);
      _btnBid.setBackground(_colorFrgd);
      if (null!=_listener  &&  _listener instanceof MagnetClientMain) {
        ((MagnetClientMain)_listener).invokeEditor(MagnetClientMain.EDITOR_TASKBIDPLAN);
      }
    }
  }

  /** Attach a listener.
   *  @todo A true listener interface would be much less cheezy...
   */
  public void attachListener(Object o) {
    if (null!=o) {
      _listener=o;
    }
  }
}
