/*------------------------------------------------------------------------
 * Magnet utility components
 * $Id: RandomVariable.java,v 1.1.2.1 2002/05/05 19:42:04 ashutosh Exp $
 * Copyright (c) 1998 Regents of the University of Minnesota.
 * All Rights Reserved by the Regents of the University of Minnesota.
 * This file contains Original Code and/or Modifications of Original
 * Code as defined in the MAGNET Public Source License, which is
 * available at http://www.cs.umn.edu/magnet/source_license_v1.txt.
 * You may not use this file except in compliance with the License.
 *------------------------------------------------------------------------
 * Revision History:
 * 
 * Wed Sep 23 08:00:06 1998  John E. Collins
 *   Initial Entry
 */

package edu.umn.magnet.util.rvars;

import java.util.Random;

/**
 * This is the root of a set of utility classes that extend the
 * functionality of java.util.Random.
 * @author John Collins
 */
public class RandomVariable extends Random {

  protected RandomVariableFactory m_factory = null;

  /**
     Default constructor.  Don't use this one if you want to use the
     factory for seed management or as a factory.
  */
  public RandomVariable () {
    super();
    m_factory = new RandomVariableFactory();
  }

  public RandomVariable (RandomVariableFactory factory) {
    super();
    m_factory = factory;
  }
}
