/*------------------------------------------------------------------------
 * MAGNET utility test components
 * $Id: SilkHookTest.java,v 1.4.2.1 2002/05/05 19:42:07 ashutosh Exp $
 * Copyright (c) 2000 Regents of the University of Minnesota.
 * All Rights Reserved by the Regents of the University of Minnesota.
 * This file contains Original Code and/or Modifications of Original
 * Code as defined in the MAGNET Public Source License, which is
 * available at http://www.cs.umn.edu/magnet/source_license_v1.txt.
 * You may not use this file except in compliance with the License.
 *------------------------------------------------------------------------
 * Revision History:
 * 
 * Mon Mar 19 10:43:17 2001  John Collins
 *   Initial Entry
 */

package edu.umn.magnet.util.silk;

import junit.framework.Test;
import junit.framework.TestCase;
import junit.framework.TestResult;
import junit.framework.TestSuite;

import silk.SI;

/**
 * This is a tester for edu.umn.magnet.client.Something
 * @author John Collins
 */
public class SilkHookTest extends TestCase
{
  
  public SilkHookTest (String testName)
  {
    super(testName);
    //SilkHook.init();
  }

  /**
   * You run the main method to exercise this thing.  There are no
   * command-line args.
   */
  public static void main (String[] args)
  {
    junit.textui.TestRunner.run(suite());
  }

  public static Test suite ()
  {
    return new TestSuite(SilkHookTest.class);
  }

  // ---- Here are a couple of attributes we can play with ----
  //Integer first = null;
  int first = 0;
  String second = "dummy";

  //public void setFirst (Integer value)
  public void setFirst (int value)
  {
    first = value;
  }

  //public Integer getFirst ()
  public int getFirst ()
  {
    return first;
  }

  public int getFirstInt ()
  {
    //return first.intValue();
    return first;
  }

  public void setSecond (String value)
  {
    second = value;
  }

  public String getSecond ()
  {
    return second;
  }

  // ----------- Test methods --------------
  
  // First test runs a single hook method
  public void testFirst ()
  {
    //setFirst(new Integer(3));
    setFirst(3);
    setSecond("dummy");
    SilkHook.runHook("test", this);
    assertEquals("first = 1", 1, getFirstInt());
    assertEquals("second = String", "String", getSecond());
  }

  // This test runs two hook methods
  public void testSecond ()
  {
    //setFirst(new Integer(5));
    setFirst(5);
    setSecond("Second");
    SilkHook.runHook("test2", this);
    assertEquals("first = 55", 55, getFirstInt());
    assertEquals("second = Second-silk", "Second-silk", getSecond());
  }

  // test loadFileOrResource, file exists
  public void testResource1 ()
  {
    SilkHook.loadFileOrResource("test1.scm", this.getClass());
    //setFirst(new Integer(0));
    setFirst(0);
    SI.call("test1", this);
    assertEquals("first = 42", 42, getFirstInt());
  }

  // test loadFileOrResource, file does not exist but resource does
  public void testResource2 ()
  {
    SilkHook.loadFileOrResource("test2.scm", this.getClass());
    //setFirst(new Integer(0));
    setFirst(0);
    SI.call("test2", this);
    assertEquals("first = 108", 108, getFirstInt());
  }
}
